API reference
Support
GET
cookieAuthcookie
odx_session<token>Tickets, open first
application/json- response
tickets*array<>curl -X GET "https://example.com/support/tickets"{ "tickets": [ { "id": 0, "organization_id": 0, "project_id": 0, "subject": "string", "category": "technical", "status": "waiting_staff", "priority": "low", "resource_type": "string", "resource_id": 0, "deadline": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z" } ]}POST
cookieAuthcookie
odx_session<token>application/json- body
subject*stringLength
3 <= length <= 200category*stringValue in
"technical""billing""limit_increase""other"message*stringLength
1 <= length <= 20000organization_id?integerDefaults to your personal organization
Format
int64project_id?integerFormat
int64resource_type?stringresource_id?integerFormat
int64Opened
application/json- response
ticket*curl -X POST "https://example.com/support/tickets" \ -H "Content-Type: application/json" \ -d '{ "subject": "string", "category": "technical", "message": "string" }'{ "ticket": { "id": 0, "organization_id": 0, "project_id": 0, "subject": "string", "category": "technical", "status": "waiting_staff", "priority": "low", "resource_type": "string", "resource_id": 0, "deadline": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z" }}GET
cookieAuthcookie
odx_session<token>id*integerFormat
int64Ticket with its conversation
application/json- response
ticket*messages*array<>curl -X GET "https://example.com/support/tickets/0"{ "ticket": { "id": 0, "organization_id": 0, "project_id": 0, "subject": "string", "category": "technical", "status": "waiting_staff", "priority": "low", "resource_type": "string", "resource_id": 0, "deadline": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z" }, "messages": [ { "id": 0, "author_type": "customer", "author": "string", "body": "string", "created": "2019-08-24T14:15:22Z" } ]}POST
cookieAuthcookie
odx_session<token>id*integerFormat
int64application/json- body
message*stringLength
1 <= length <= 20000Sent
curl -X POST "https://example.com/support/tickets/0/messages" \ -H "Content-Type: application/json" \ -d '{ "message": "string" }'Empty
POST
cookieAuthcookie
odx_session<token>id*integerFormat
int64Closed
curl -X POST "https://example.com/support/tickets/0/close"Empty